Package fr.gouv.vitam.common.model.objectgroup

# Class VersionsModel

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.VersionsModel

public class VersionsModel extends Object
Object mapping VersionsResponse

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALGORITHM`
  `static final String`
  `DATA_OBJECT_GROUP_ID`
  `static final String`
  `DATA_OBJECT_NUMBER`
  `static final String`
  `DATA_OBJECT_PROFILE`
  `static final String`
  `DATA_OBJECT_USE`
  `static final String`
  `DATA_OBJECT_VERSION`
  `static final String`
  `FILE_INFO`
  `static final String`
  `FORMAT_IDENTIFICATION`
  `static final String`
  `ID`
  `static final String`
  `MANAGEMENT_CONTRACT_ID`
  `static final String`
  `MESSAGE_DIGEST`
  `static final String`
  `METADATA`
  `static final String`
  `OPI`
  `static final String`
  `OTHER_METADATA`
  `static final String`
  `PERSISTENT_IDENTIFIER`
  `static final String`
  `PHYSICAL_DIMENSIONS`
  `static final String`
  `PHYSICAL_ID`
  `static final String`
  `SIZE`
  `static final String`
  `STORAGE`
  `static final String`
  `URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionsModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  `Map<String,Object>`
  `getAny()`
  `String`
  `getDataObjectGroupId()`
  `Integer`
  `getDataObjectNumber()`
  `String`
  `getDataObjectProfile()`
  `String`
  `getDataObjectUse()`
  `String`
  `getDataObjectVersion()`
  `FileInfoModel`
  `getFileInfoModel()`
  `FormatIdentificationModel`
  `getFormatIdentification()`
  `String`
  `getId()`
  `String`
  `getManagementContractId()`
  `String`
  `getMessageDigest()`
  `MetadataModel`
  `getMetadata()`
  `String`
  `getOpi()`
  `Map<String,Object>`
  `getOtherMetadata()`
  `List<PersistentIdentifierModel>`
  `getPersistentIdentifier()`
  `PhysicalDimensionsModel`
  `getPhysicalDimensionsModel()`
  `String`
  `getPhysicalId()`
  `DataObjectVersionType`
  `getQualifier()`
  `long`
  `getSize()`
  `StorageJson`
  `getStorage()`
  `String`
  `getUri()`
  `int`
  `getVersion()`
  `void`
  `setAlgorithm(String algorithm)`
  `void`
  `setAny(String key, Object value)`
  `void`
  `setDataObjectGroupId(String dataObjectGroupId)`
  `void`
  `setDataObjectNumber(Integer dataObjectNumber)`
  `void`
  `setDataObjectProfile(String dataObjectProfile)`
  `void`
  `setDataObjectUse(String dataObjectUse)`
  `void`
  `setDataObjectVersion(String dataObjectVersion)`
  `void`
  `setFileInfoModel(FileInfoModel fileInfoModel)`
  `void`
  `setFormatIdentification(FormatIdentificationModel formatIdentification)`
  `void`
  `setId(String id)`
  `void`
  `setManagementContractId(String managementContractId)`
  `void`
  `setMessageDigest(String messageDigest)`
  `void`
  `setMetadata(MetadataModel metadata)`
  `void`
  `setOpi(String opi)`
  `void`
  `setOtherMetadata(Map<String,Object> otherMetadata)`
  `void`
  `setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)`
  `void`
  `setPhysicalDimensionsModel(PhysicalDimensionsModel physicalDimensionsModel)`
  `void`
  `setPhysicalId(String physicalId)`
  `void`
  `setSize(long size)`
  `void`
  `setStorage(StorageJson storage)`
  `void`
  `setUri(String uri)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_VERSION

    public static final String DATA_OBJECT_VERSION
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_GROUP_ID

    public static final String DATA_OBJECT_GROUP_ID
    See Also:
      - Constant Field Values

  - ### FORMAT_IDENTIFICATION

    public static final String FORMAT_IDENTIFICATION
    See Also:
      - Constant Field Values

  - ### FILE_INFO

    public static final String FILE_INFO
    See Also:
      - Constant Field Values

  - ### METADATA

    public static final String METADATA
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### URI

    public static final String URI
    See Also:
      - Constant Field Values

  - ### MESSAGE_DIGEST

    public static final String MESSAGE_DIGEST
    See Also:
      - Constant Field Values

  - ### ALGORITHM

    public static final String ALGORITHM
    See Also:
      - Constant Field Values

  - ### STORAGE

    public static final String STORAGE
    See Also:
      - Constant Field Values

  - ### PHYSICAL_DIMENSIONS

    public static final String PHYSICAL_DIMENSIONS
    See Also:
      - Constant Field Values

  - ### PHYSICAL_ID

    public static final String PHYSICAL_ID
    See Also:
      - Constant Field Values

  - ### OTHER_METADATA

    public static final String OTHER_METADATA
    See Also:
      - Constant Field Values

  - ### OPI

    public static final String OPI
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_PROFILE

    public static final String DATA_OBJECT_PROFILE
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_CONTRACT_ID

    public static final String MANAGEMENT_CONTRACT_ID
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_USE

    public static final String DATA_OBJECT_USE
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_NUMBER

    public static final String DATA_OBJECT_NUMBER
    See Also:
      - Constant Field Values

  - ### PERSISTENT_IDENTIFIER

    public static final String PERSISTENT_IDENTIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VersionsModel

    public VersionsModel()

- ## Method Details

  - ### getAny

    public Map<String,Object> getAny()

  - ### setAny

    public void setAny(String key, Object value)

  - ### getOtherMetadata

    public Map<String,Object> getOtherMetadata()

  - ### setOtherMetadata

    public void setOtherMetadata(Map<String,Object> otherMetadata)

  - ### getPhysicalId

    public String getPhysicalId()

  - ### setPhysicalId

    public void setPhysicalId(String physicalId)

  - ### getPhysicalDimensionsModel

    public PhysicalDimensionsModel getPhysicalDimensionsModel()

  - ### setPhysicalDimensionsModel

    public void setPhysicalDimensionsModel(PhysicalDimensionsModel physicalDimensionsModel)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getDataObjectVersion

    public String getDataObjectVersion()

  - ### setDataObjectVersion

    public void setDataObjectVersion(String dataObjectVersion)

  - ### getDataObjectProfile

    public String getDataObjectProfile()

  - ### setDataObjectProfile

    public void setDataObjectProfile(String dataObjectProfile)

  - ### getFormatIdentification

    public FormatIdentificationModel getFormatIdentification()

  - ### setFormatIdentification

    public void setFormatIdentification(FormatIdentificationModel formatIdentification)

  - ### getFileInfoModel

    public FileInfoModel getFileInfoModel()

  - ### setFileInfoModel

    public void setFileInfoModel(FileInfoModel fileInfoModel)

  - ### getDataObjectGroupId

    public String getDataObjectGroupId()

  - ### setDataObjectGroupId

    public void setDataObjectGroupId(String dataObjectGroupId)

  - ### getMetadata

    public MetadataModel getMetadata()

  - ### setMetadata

    public void setMetadata(MetadataModel metadata)

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri(String uri)

  - ### getMessageDigest

    public String getMessageDigest()

  - ### setMessageDigest

    public void setMessageDigest(String messageDigest)

  - ### getAlgorithm

    public String getAlgorithm()

  - ### setAlgorithm

    public void setAlgorithm(String algorithm)

  - ### getStorage

    public StorageJson getStorage()

  - ### setStorage

    public void setStorage(StorageJson storage)

  - ### getOpi

    public String getOpi()

  - ### setOpi

    public void setOpi(String opi)

  - ### getDataObjectUse

    public String getDataObjectUse()

  - ### setDataObjectUse

    public void setDataObjectUse(String dataObjectUse)

  - ### getDataObjectNumber

    public Integer getDataObjectNumber()

  - ### setDataObjectNumber

    public void setDataObjectNumber(Integer dataObjectNumber)

  - ### getPersistentIdentifier

    public List<PersistentIdentifierModel> getPersistentIdentifier()

  - ### setPersistentIdentifier

    public void setPersistentIdentifier(List<PersistentIdentifierModel> persistentIdentifier)

  - ### getManagementContractId

    public String getManagementContractId()

  - ### setManagementContractId

    public void setManagementContractId(String managementContractId)

  - ### getVersion

    public int getVersion()

  - ### getQualifier

    public DataObjectVersionType getQualifier()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`